Provider alt hesaplarını keşfet ve kaydet
curl --request POST \
--url https://api.tahsil.dev/banks/accounts/{id}/setup \
--header 'Authorization: Bearer <token>' \
--header 'x-company-id: <x-company-id>'const options = {
method: 'POST',
headers: {'x-company-id': '<x-company-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tahsil.dev/banks/accounts/{id}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tahsil.dev/banks/accounts/{id}/setup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"result": {
"accountId": "<string>",
"bankCode": "<string>",
"accounts": [
{
"subAccountKey": "<string>",
"bankCode": "<string>",
"currency": "TRY",
"balance": 123,
"id": "<string>",
"providerAccountId": "<string>",
"customerNo": "<string>",
"accountNo": "<string>",
"iban": "<string>",
"accountType": "<string>",
"accountName": "<string>",
"branchId": "<unknown>",
"branchName": "<string>",
"blockedBalance": 123,
"availableBalance": 123,
"openingDate": "2023-11-07T05:31:56Z",
"lastTransactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"accountCount": 1
}
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}Provider alt hesaplarını keşfet ve kaydet
Credential değerlerini yalnız bellekte çözer ve maskelenmiş provider denetim olayı kaydeder.
POST
/
banks
/
accounts
/
{id}
/
setup
Provider alt hesaplarını keşfet ve kaydet
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Provider bağlantısının hedef firma kimliği.
Yol Parametreleri
Bu sayfa yararlı mıydı?
⌘I